Redmine - Feature #5622

Allow version to be set via incoming email
2010-05-30 18:01 - Wael Nasreddine

Status: Closed Start date: 2010-05-30
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email receiving Estimated time: 0.00 hour
Target version: 1.1.0

Resolution: Fixed

Description

Hello,

My boss always assign the target version when he opens issues by email, and | always have to edit all issues he (or |) opened via
email to set the correct target version and remove it from the description manually.

It would be easier if redmine parses the "Version:" tag and assign it correctly.

Thanks

Related issues:
Related to Redmine - Feature #5594: Improve MailHandler's keyword handling Closed 2010-05-25

Associated revisions

Revision 4394 - 2010-11-12 12:34 - Jean-Philippe Lang
Makes MailHandler accept all issue attributes and custom fields that can be set/updated (#4071, #4807, #5622, #6110).

History

#1 - 2010-05-31 22:16 - Alexsandro Farias
- Status changed from New to Resolved
Wael Nasreddine wrote:

Hello,

My boss always assign the target version when he opens issues by email, and | always have to edit all issues he (or |) opened via email to set
the correct target version and remove it from the description manually.

It would be easier if redmine parses the "Version:" tag and assign it correctly.

Thanks

#2 - 2010-05-31 22:18 - Felix Schéafer

- Status changed from Resolved to New

#3 - 2010-05-31 22:19 - Wael Nasreddine

Ummmm Guys!! What's going on?

#4 - 2010-05-31 22:22 - Felix Schéfer

Wael Nasreddine wrote:

Ummmm Guys!! What's going on?

It seems Alexsandro is trying out the redmine here rather than on the demo site and | reverted it, sorry for not stating it explicitly.

#5 - 2010-05-31 22:24 - Wael Nasreddine
Felix Schéafer wrote:
Wael Nasreddine wrote:

Ummmm Guys!! What's going on?

It seems Alexsandro is trying out the redmine here rather than on the demo site and | reverted it, sorry for not stating it explicitly.

| kinda figured it out when | saw his Test defect :D, anyway no problem thanks for fixing it fast, hopefully it'll make it to redmine fast too :)

#6 - 2010-06-05 12:46 - Wael Nasreddine
- File 0001-Add-a-Version-keyword-to-receiving-email.-5622.patch added

I've created a patch myself, the "Version" keyword is now parsed and correctly assigned, however the version must already exist, if the version does
not already exist, it's ignored...

| plan on to extending it to create a Target Version if one doesn't exist, but | prefer if Eric or someone else do this part because I'm still too new to
RoR...

#7 - 2010-06-05 12:50 - Wael Nasreddine
- File 0001-Add-a-Version-keyword-to-receiving-email.-5622.patch added
- % Done changed from 0 to 50

| would appreciate it if someone would remove the first posted file because the unit test file is not indented correctly (using tabs not spaces)
Sorry.. (

#8 - 2010-06-05 12:55 - Wael Nasreddine

- File 0001-Add-a-Version-keyword-to-receiving-email.-5622.patch added

Damn IDEs (... voila, the correctly indented file, saved you 2 minutes...

P.S: It would be interesting if | could remove my own attachments...

#9 - 2010-06-19 23:01 - Felix Schafer
- Target version set to 1.0.0 (RC)

Tagged for BugMash-10.

#10 - 2010-06-30 03:54 - Eric Davis
- Status changed from New to 7
- Target version deleted (1.0.0 (RC))
- % Done changed from 50 to 0

I'm getting some test failures with this patch. Can you update to the latest Redmine trunk, reapply your patch, and try running the MailHandler's
tests?

1) Failure:
test_add_issue_note (MailHandlerTest) [test/unit/mail_handler_test.rb:253]:
<false> is not true.

2) Failure:
test_add_issue_note_should_send_email_notification (MailHandlerTest) [test/unit/mail_handler_test.rb:277]:
<false> is not true.

3) Failure:

test_add_issue_note_with_attribute_changes (MailHandlerTest) [test/unit/mail_handler_test.rb:262]:
<false> is not true.

#11 - 2010-10-25 17:01 - Eric Davis

- Assignee deleted (Eric Davis)
https://www.redmine.org/projects/redmine/wiki/BugMash-10

#12 - 2010-11-12 13:28 - Jean-Philippe Lang
- Status changed from 7 to Closed
- Target version set to 1.1.0

- Resolution set to Fixed

Added in r4394. The default keyword is "Fixed version" but r4395 lets you use localized keywords.

Files

0001-Add-a-Version-keyword-to-receiving-email.-5622.patch 4.69 KB 2010-06-05 Wael Nasreddine
0001-Add-a-Version-keyword-to-receiving-email.-5622.patch 4.69 KB 2010-06-05 Wael Nasreddine
0001-Add-a-Version-keyword-to-receiving-email.-5622.patch 4.7 KB 2010-06-05 Wael Nasreddine
https://www.redmine.org/projects/redmine/repository/svn/revisions/4394
https://www.redmine.org/projects/redmine/repository/svn/revisions/4395
http://www.tcpdf.org

